﻿-- A simple and safe implementation to restore the help button prior to 5.4.2 patch.
-- It should be robust enough in most use cases.

do
	hooksecurefunc("UpdateMicroButtons",
		function(...)
			-- First get rid of the store button
			if StoreMicroButton and HelpMicroButton then
				StoreMicroButton:Hide()
				HelpMicroButton:Show()
			end
		end)
		
	MainMenuMicroButton:HookScript("OnUpdate",
		function(self, ...)
			-- Restore old main menu icon
			if self.updateInterval == PERFORMANCEBAR_UPDATE_INTERVAL and GetFileStreamingStatus() == 0 and GetBackgroundLoadingStatus() == 0 then
				self:SetNormalTexture("Interface\\AddOns\\NoIngameStore\\UI-MicroButton-MainMenu-Up");
				self:SetPushedTexture("Interface\\AddOns\\NoIngameStore\\UI-MicroButton-MainMenu-Down");
				self:SetDisabledTexture("Interface\\AddOns\\NoIngameStore\\UI-MicroButton-MainMenu-Disabled");
			end
		end)
end